#
# spec file for package gnome-screensaver
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-screensaver
Version:        2.30.2
Release:        13.14.1
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPLv2+
Summary:        GNOME Screen Saver and Locker
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.18/%{name}-%{version}.tar.bz2
Source1:        xscreensaver-blacklist
# PATCH-FEATURE-OPENSUSE gnome-screensaver-suse-pam.diff
Patch:          gnome-screensaver-suse-pam.diff
# PATCH-FEATURE-OPENSUSE gnome-screensaver-xvkbd-on-lock.patch rodrigo@novell.com -- Run xvkbd when locking the screen
Patch7:         gnome-screensaver-xvkbd-on-lock.patch
# PATCH-NEEDS-REBASE gnome-screensaver-2.19.1.1-securitytoken.patch
Patch8:         gnome-screensaver-2.19.1.1-securitytoken.patch
# PATCH-FEATURE-UPSTREAM gnome-screensaver-finger-print.patch fate#301953 bgo#563703
Patch10:        gnome-screensaver-finger-print.patch
# PATCH-FIX-UPSTREAM gnome-screensaver-multihead-unlock.patch bnc#444157 bgo#455118 rodrigo@novell.com
Patch12:        gnome-screensaver-multihead-unlock.patch
# PATCH-FIX-OPENSUSE gnome-screensaver-sigterm-handle.patch bnc#676097 glin@novell.com
Patch13:        gnome-screensaver-sigterm-handle.patch
BuildRequires:  Mesa-devel
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pam-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
%if 0%{?suse_version} <= 1120
BuildRequires:  xscreensaver
%else
BuildRequires:  xscreensaver-data
BuildRequires:  xscreensaver-data-extra
%endif
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gnome-desktop-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
# Needed by gnome-screensaver-finger-print.patch
BuildRequires:  pkgconfig(libfprint)
BuildRequires:  pkgconfig(libgnomekbdui)
BuildRequires:  pkgconfig(libgnome-menu)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(x11)
Requires:       /sbin/unix2_chkpwd
Requires:       xscreensaver-data
Recommends:     %{name}-lang
Provides:       %{name}-devel = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated in the desktop.
It is designed to support:

        * the ability to lock down configuration settings
        * translation into other languages
        * user switching

%package extra
Group:          System/GUI/GNOME
License:        GPLv2+
Summary:        GNOME Screen Saver and Locker -- Additional screensavers
Requires:       xscreensaver-data-extra
Supplements:    packageand(%{name}:xscreensaver-data-extra)
BuildArch:      noarch

%description extra
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated in the desktop.
It is designed to support:

        * the ability to lock down configuration settings
        * translation into other languages
        * user switching

%lang_package
%prep
%setup -q
translation-update-upstream
%patch
%patch7 -p1
# %patch8 -p1
%patch10
%patch12
%patch13 -p1

%build
# gnome-common intltool are needed only here
autoreconf -f -i
# FIXME: Maybe libexecdir the same as xscreensaver.
%configure\
	--libexecdir=%{_libexecdir}/%{name}\
	--with-pam-prefix=/etc\
	--enable-authentication-scheme=helper\
	--with-passwd-helper="/sbin/unix2_chkpwd"\
	--with-xscreensaverdir=/etc/xscreensaver\
	--disable-docbook-docs
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas
%suse_update_desktop_file gnome-screensaver
%suse_update_desktop_file gnome-screensaver-preferences GNOME X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file popsquares
%suse_update_desktop_file personal-slideshow
%suse_update_desktop_file footlogo-floaters
%suse_update_desktop_file cosmos-slideshow
sed -e 's/common-auth/common-auth-smartcard/g' < $RPM_BUILD_ROOT/etc/pam.d/gnome-screensaver > $RPM_BUILD_ROOT/etc/pam.d/gnome-screensaver-smartcard
# migrate all xscreensaver savers, except blacklisted ones because they are ugly
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/screensavers
for file in `ls -1 %{_sysconfdir}/xscreensaver/*.xml | grep -v -f %{S:1} | xargs` ; do
    file_root=`basename "$file" .xml`
    sh data/migrate-xscreensaver-config.sh $file
    # remove the Comment key: it's way too long for translators,
    # and it doesn't appear in the UI
    sed "s/\(^Comment=.*\)/#\1/g" $file_root.desktop > $RPM_BUILD_ROOT%{_datadir}/applications/screensavers/$file_root.desktop
    %suse_update_desktop_file $file_root
done
rm -f screensavers.lst screensavers-extra.lst
for file in popsquares personal-slideshow footlogo-floaters cosmos-slideshow; do
    echo %{_datadir}/applications/screensavers/$file.desktop >> screensavers.lst
done
%if 0%{?suse_version} <= 1120
for file in `rpm -ql xscreensaver | grep %{_sysconfdir}/xscreensaver/.*xml`; do
    file_root=`basename "$file" .xml`
    echo %{_datadir}/applications/screensavers/$file_root.desktop >> screensavers.lst
done
%else
for file in `rpm -ql xscreensaver-data | grep %{_sysconfdir}/xscreensaver/.*xml`; do
    file_root=`basename "$file" .xml`
    echo %{_datadir}/applications/screensavers/$file_root.desktop >> screensavers.lst
done
for file in `rpm -ql xscreensaver-data-extra | grep %{_sysconfdir}/xscreensaver/.*xml`; do
    file_root=`basename "$file" .xml`
    echo %{_datadir}/applications/screensavers/$file_root.desktop >> screensavers-extra.lst
done
%endif
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post
%desktop_database_post

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
%desktop_database_postun

%files -f %{name}.schemas_list -f screensavers.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config /etc/pam.d/gnome-screensaver
%config /etc/pam.d/gnome-screensaver-smartcard
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sysconfdir}/xdg/menus/gnome-screensavers.menu
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/gnome-screensaver.directory
%{_datadir}/backgrounds/*
%{_datadir}/dbus-1/services/org.gnome.ScreenSaver.service
%{_datadir}/gnome-background-properties/cosmos.xml
%{_datadir}/gnome-screensaver
%{_datadir}/pixmaps/gnome-logo-white.svg
%{_mandir}/man1/gnome-screensaver*.1.gz
%{_libdir}/pkgconfig/gnome-screensaver.pc
%{_libexecdir}/%{name}
# FIXME: Directory ownership:
%dir %{_datadir}/applications/screensavers
# FIXME: Maybe bad directory ownership:
%dir %{_datadir}/backgrounds
%dir %{_datadir}/gnome-background-properties

%if 0%{?suse_version} > 1120

%files extra -f screensavers-extra.lst
%defattr (-, root, root)
%endif

%files lang -f %{name}.lang

%changelog
* Thu Apr  7 2011 glin@novell.com
- Add gnome-screensaver-sigterm-handle.patch to avoid deadlock caused
  by exit() in the SIGTERM handler of gnome-screensaver-dialog.
  (bnc#676097)
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Tue Jan 11 2011 hpj@novell.com
- Update gnome-screensaver-xvkbd-on-lock.patch, fixing the case
  where on tablets, xvkbd would persist after the screensaver was
  unlocked (bnc#395843).
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.30.2:
  + Fix unclosed quote in sed in configure.ac.
- Changes from version 2.30.1:
  + Properly grab input after wake from suspend
  + Add session service activation file
  + Fix for systems that don't support XF86VM or XRANDR gamma fade
  + Build fixes.
  + Updated translations.
* Tue Sep  7 2010 vuntz@opensuse.org
- Add Mesa-devel BuildRequires that was missing for best screen
  visual detection in the GL helper.
- Remove unneeded libglade2-devel BuildRequires.
- Change old-style BuildRequires to pkgconfig() style
  BuildRequires:
  + old-style: dbus-1-glib-devel, gnome-desktop-devel,
    gnome-menus-devel, libfprint-devel, libgnomekbd-devel,
    libnotify-devel.
  + new-style: dbus-glib-1, gconf-2.0, gnome-desktop-2.0, gtk+-2.0,
    libfprint, libgnomekbdui, libgnome-menu, libnotify, x11.
- This will make it easier to switch to GNOME 3 libraries.
* Fri Apr  9 2010 vuntz@opensuse.org
- Fix build on openSUSE 11.2: xscreensaver was not split there.
* Wed Mar 31 2010 vuntz@opensuse.org
- Build against xscreensaver-data and xscreensaver-data-extra,
  following the xscreensaver split.
- By default, we only have a small subset of screensavers from
  xscreensaver, and they are all of good quality. This implements
  fate#308474.
- Create a gnome-screensaver-extra to enable extra screensavers.
  Also reduce the blacklist we have to just popsquares, which is
  implemented in gnome-screensaver too.
- Remove Screensaver category from
  gnome-screensaver-preferences.desktop: it should never have been
  there and was causing an erroneous screensaver to appear in the
  preferences.
* Wed Mar 31 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Updated translations.
* Tue Mar  9 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + Build fix for systems with x11 < 1.3.
* Sat Feb 13 2010 vuntz@opensuse.org
- Update to version 2.29.91:
  + bgo#609789 - CVE-2010-0422, handle monitor hotplugging more
    securely
  + Fix screen dirt in floaters screensaver
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 2.29.90:
  + bgo#609337, CVE-2010-0414, handle monitor removal more securely
* Thu Feb  4 2010 vuntz@opensuse.org
- Remove en@shaw translation on openSUSE 11.2 and earlier.
* Fri Jan 29 2010 vuntz@opensuse.org
- Update to version 2.29.1:
  + bgo#597874, Use xrandr 1.2 gamma fading
  + rh#546656, Fix crash in popsquares
  + bgo#598476, Don't crash when lock dialog dies during shake
  + bgo#593616, Fix multi-head issues
  + bgo#600488, Remove session inhibitors if the originator falls
    of the bus
- Refresh gnome-screensaver-finger-print.patch to apply without
  fuzz.
* Thu Dec  3 2009 vuntz@opensuse.org
- Rebase gnome-screensaver-finger-print.patch to apply without
  fuzz.
* Thu Sep 24 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + bgo#444927 - get idle time from xorg
  + bgo#463010 - Port gnome-screensaver from libglade to gtkbuilder
  + bgo#564061 - Install .desktop file
  + bgo#570402 - screensaver crash if number of screens changes
  + bgo#570941 - String not marked for translation
    gnome-screensaver-command.c
  + bgo#574896 - [Leave message] Cancel button should clean
    clipboard buffe
  + bgo#576463 - can't unlock screen after upgrade until restarting
    gnome-screensaver
  + bgo#581995 - Fade out doesn't properly fall back to gamma
    number if X server only supports 0-size ramp
  + bg0#586174 - Encoding key in desktop files is deprecated
  + bgo#589728 - gnome-screensaver: implicit declaration g_printf
  + bgo#590776 - screensaver is never activated
  + bgo#591193 - Update/Create .gitignore
  + bgo#591194 - Add Comment and Icon in gnome-screensaver.desktop
  + bgo#594082 - gnome-screensaver ignores input when fading to
    black
  + Updated translations.
- Backgrounds are moved from datadir/pixmaps/backgrounds to
  datadir/backgrounds (upstream commit 561d5d997)
* Mon Jun 22 2009 vuntz@novell.com
- Do not keep the Comment key for generated .desktop files for
  screensavers. This should help translators, since this was a huge
  work that doesn't bring us anything (the strings are not used).
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 2.27.0:
  + Add an autostart file for gnome-screensaver (bgo#585485)
  + Updated translations.
- Call suse_update_desktop_file on gnome-screensaver.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Fixed bgo#572955, audit GError usage
  + Fixed bgo#572956, use g_strerror
  + Fixed bgo#573495, logout_command setting may be overwritten
    with keyboard_command value
  + Fixed bgo#577739, gnome-screensaver-gl-helper calls
    gdk_x11_visual_get_xvisual with NULL visual
  + Fixed bgo#578669, fix crash with inhibitors
  + Updated translations.
- Remove unneeded translations: libgnomeui-devel, libxslt,
  perl-XML-Parser, xmlto.
* Thu Mar 19 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Remove power notice signal
  + Rely on GNOME session idle detection
  + Proxy g-s inhibitors over to the session
  + Read status message from session
  + Accept a full path for theme
- Respin gnome-screensaver-suse-pam.diff. Note that we don't enable
  pam_gnome_keyring.so there since it's in common-auth for us
  (thanks to pam-config).
- Remove check for old version of openSUSE.
- Remove AutoReqProv: it's default now.
- Remove -fno-strict-aliasing from CFLAGS.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Wed Jan 21 2009 rodrigo@novell.com
- Add gnome-screensaver-multihead-unlock.patch to fix bnc#444157
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.2:
  + Fix pixmap leak
  + Fix dialog border width
  + Add bevel around dialog
  + bgo#444927, get idle time from xorg
  + bgo#492949, screensavers-personal-slideshow should not show hidden
    directories
  + bgo#530561, "Random" preview is always the last saver
  + bgo#561855, Calls wrong slideshow binary if there is one installed in
    $PATH
  + bgo#555701, libgnome-desktop:gnome_bg_create_pixmap() leaks pixmaps and
    X clients
  + bgo#451498, Preview of "Blank screen" is not consistent
  + bgo#552119, Add GTK and GNOME to screensaver desktop
  + bgo#552523, Screensaver suddenly stopped working
  + bgo#555254, gnome-screensaver-dialog NULL pointer crash
  + bgo#555491, gnome-screensaver should release mouse/keyboard when failed
    to grab both of them
  + bgo#560456, Cleaning up GTK Includes in gnome-screensaver
  + Translation updates
- Remove gnome-screensaver-dont-leak-root-windows.patch. Fixed upstream
* Mon Dec  8 2008 rodrigo@novell.com
- Upstream finger print patch
* Sat Dec  6 2008 mauro@suse.de 
- Updated translations.
* Mon Nov 24 2008 thoenig@suse.de
- don't bail out if fingerprint reader device is busy (bnc#448166)
* Mon Nov 10 2008 rodrigo@novell.com
- Add upstream patch for bgo#555701
* Mon Nov  3 2008 vuntz@novell.com
- Remove gnome-screensaver-compile.diff: fixed upstream.
* Wed Oct 29 2008 rodrigo@novell.com
- Remove unneeded patch
- Tag untagged patches
* Mon Oct 27 2008 thoenig@suse.de
- Updated gnome-screensaver-finger-print.patch to fix some issues
  as stated in bnc#438624
* Thu Oct 23 2008 rodrigo@novell.com
- Added gnome-screensaver-finger-print.patch for finger print
  authentication on lock screen dialog (fate#301953)
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates
* Wed Sep  3 2008 mboman@novell.com
- Update to version 2.23.90:
  + use standard icon names
  + Paint widget background color as face background color.
  + Add/remove windows as necessary in response to RANDR 1.2 events
  + Honor the disable_user_switching lockdown key.
  + Fixed bgo#547013, The dialog incorrectly tell that the numlock is on
  + Translation updates.
* Tue Aug 26 2008 mboman@novell.com
- Update to version 2.23.3:
  + Fix build issue (Wouter Bolsterlee)
  + Add a simple frame around user icon
  + Add a new child widget to use for themes to draw on
* Sat Aug  9 2008 coolo@suse.de
- make it compile
* Mon Jun 23 2008 maw@suse.de
- Update to version 2.23.2:
  + Fix gamma lost during fade
  + Show default desktop background behind lock dialog
  + Add reporting of inhibitors to --querty command
- Tag gnome-screensaver-2.19.1.1-securitytoken.patch and
  gnome-screensaver-early-passwd-helper-thoenig-04.patch for
  rebasing.
* Tue May  6 2008 thoenig@suse.de
- Add patch gnome-screensaver-early-passwd-helper-thoenig-04.patch
  to bring back fingerprint reader support (bnc#326744)
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.2:
  + Bug fixed bgo#525785 (CVE-2008-0887)
  + Add a 160 char limit to the message text box
- Drop gnome-screensaver-372609-pwent-unlock.patch.
* Thu Mar 20 2008 maw@suse.de
- Add gnome-screensaver-372609-pwent-unlock.patch (#372609 and
  CVE-2008-0887), fixing a security problem whereby
  gnome-screensaver will unlock without a valid password if a NIS
  server is down.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Updated translations.
* Tue Feb 19 2008 maw@suse.de
- Update to version 2.21.6:
  + New theme transfer progress dialog
  + Port to gio
  + Set default action after cancelling note
  + New manpages
- Remove gnome-screensaver-2.20.0-desktop-conformance.patch, which
  has been upstreamed.
* Tue Nov 13 2007 rodrigo@suse.de
- Replaced g_spawn_command_line_sync with system (#341113)
* Fri Nov  9 2007 rodrigo@suse.de
- Fixed gnome-screensaver-xvkbd-on-lock.patch to actually display
  correctly the xvkbd window (#304399)
* Thu Oct 18 2007 jpr@suse.de
- Add libgnomekbd-devel to BuildRequires to enable keyboard layout
  indicator support
- Add libnotify-devel to BuildRequires to enable message leaving
  support
- Remove gnome-screensaver-unlock-dialog-size.patch the UI it applied
  to was removed
- Add gnome-screensaver-2.20.0-desktop-conformance.patch to cleanup
  rpmlint desktop warnings
- Make xscreensaver blacklist a file
- Get translations for screensaver .desktop files
* Tue Sep 18 2007 maw@suse.de
- Update to version 2.20.0:
  + Fixed bugzilla.gnome.org #442853
  + Updated translations.
* Thu Sep 13 2007 rodrigo@suse.de
- Trap BadWindow errors to avoid crashes (#244713)
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.7:
  + Fixed build on Solaris (b.g.o #437225)
  + Last libgnome dependency removed (b.g.o #463754)
  + Initialize XWindowAttributes
  + Slideshow improvements
  + Updated translations.
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage.
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.6:
  + Bugs (bugzilla.gnome.org) fixed: #331515, #354663, #434712,
    [#436818], #445443, #461824, #461814, #461722, #461028, #456705,
    and #327602.
  + Updated translations.
- Use %%fdupes.
* Fri Jul 27 2007 jberkman@novell.com
- add support for locking the screen if a smartcard was used to log in, and
  for unlocking using a smartcard
* Mon Jul  9 2007 maw@suse.de
- Update to version 2.19.1.1
- Fixes for bugzilla.gnome.org #384509, #411252, and #428199.
* Wed Jun 20 2007 rodrigo@suse.de
- Updated xvkbd patch to check correctly XGetClasHint return code
  (found by Scott Reeves).
* Fri Jun 15 2007 rodrigo@suse.de
- Updated xvkbd patch to initialize X structures to avoid use of
  uninitialised values.
* Thu May  3 2007 rodrigo@suse.de
- Added patch from SLE10-SP1 to run xvkbd on the lock window (FATE
  [#300346])
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1
- Fixes for bugzilla.gnome.org #424165 and #425550
- Updates for the zh_CN, ca, da, lv, sl, eu, and gl locales.
* Fri Mar 30 2007 maw@suse.de
- Update to version 2.18.0
- b.g.o 417538, 417323, 412492, 412486, 411393, 400579, 407964,
  and 407524.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.17.7
  * #402183, use gdm socket command to start a login procedure
    when available (Matthias Clasen)
  * #403936, Specifically block shaping the window (William Jon McCann)
  * Sync FUSA code with upstream
  Translators
  * Updated fr: Stéphane Raimbault
  * Updated nl: Wouter Bolsterlee
  * Updated ca: Josep Puigdemont i Casamajó
  * Updated pt_BR: Leonardo Ferreira Fontenelle
  * Updated da: Lasse Bang Mikkelsen
* Fri Jan 12 2007 sbrabec@suse.cz
- Spec file cleanup.
* Fri Dec 29 2006 james@usr-local-bin.org
- Fix %%post.
* Wed Dec 13 2006 maw@suse.de
- Move to /usr
- Do some specfile cleanup.
* Thu Nov 30 2006 sbrabec@suse.cz
- Build correctly in older products.
* Thu Nov  9 2006 rodrigo@suse.de
- Removed patch to enable switch users by default (#195338)
* Thu Oct 19 2006 jpr@suse.de
- Remove gnome-screensaver-disable-root-unlock.patch, upstream no
  longer allows the root password to unlock (#213090)
* Tue Oct 17 2006 danw@suse.de
- Remove dead patches
* Fri Oct 13 2006 rodrigo@suse.de
- Added --enable-authentication-scheme=helper option to configure,
  to make it really use the helper program (#204364)
* Wed Oct  4 2006 jhargadon@suse.de
- update to version 2.16.1
- Set the correct value of DISPLAY for the gl helper
- Don't queue keys that may cause focus navigation
- Don't explicitly set icon sizes in preview bar
- translation updates
* Fri Sep 29 2006 rodrigo@suse.de
- Filter some xscreensaver hacks, like for SP1.
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- translation updates
* Wed Sep 13 2006 rodrigo@suse.de
- Added dependency on libxslt (xsltproc) for generating the .desktop
  files for xscreensaver hacks, and copy the resulting files to the
  new directory ($datadir/applications/screensavers).
* Sat Sep  2 2006 aj@suse.de
- Cleanup BuildRequires.
- Disable patch for Bug 186204 since the code does not exist anymore.
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.7
- translation updates
* Tue Aug 29 2006 rodrigo@suse.de
- Added patch to disable root's ability to unlock users'
  screensaver (#186204)
- Added missing build dependencies
* Tue Aug 22 2006 jhargadon@suse.de
- update to version 2.15.6
- Support drag-n-drop of themes to preferences dialog
- Add support for embedding a keyboard in window
- More memory usage reduction
- Only allow a small number of queued key events
* Mon Aug 14 2006 thoenig@suse.de
- Add patch gnome-screensaver-dbus-api-fix-thoenig-01.patch: Use
  dbus_connection_close, not dbus_connection_disconnect
* Mon Aug  7 2006 rodrigo@suse.de
- Create XML files for xscreensaver hacks at build time (#116331)
* Tue Aug  1 2006 schwab@suse.de
- Remove newline from substituted variable.
* Mon Jun 19 2006 rodrigo@suse.de
- Removed last patch, which didn't fix 167510 and introduced a new
  bug (#185103)
* Thu May 25 2006 rodrigo@suse.de
- Added patch to lock the screen before signalling DBUS listeners
  that the screen saver is active. Thus, gnome-power-manager will
  start the suspend when the screensaver is active, avoiding seeing
  the screen fading out when resuming (167510)
* Mon May  8 2006 rodrigo@suse.de
- Added gnome-screensaver-unlock-dialog-size.patch to fix weird
  resizing of the users list (#170846)
* Wed Apr 26 2006 gekker@suse.de
- Fix incorrect indication of caps lock (#159513)
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of illegal old ones.
* Wed Apr 12 2006 danw@suse.de
- Fix the screensaver modules to not unset the fullscreen and
  keep_above flags, because compiz, unlike metacity, restacks
  the window in that case. #163931.
* Sun Mar 19 2006 ro@suse.de
- lib64 buildfix (pkgconfig is lib64)
* Tue Mar 14 2006 rodrigo@suse.de
- Updated to latest upstream version, which fixes #156754,
  [#134201].
- Improved regexp for no->nb_NO move.
* Wed Feb 22 2006 rodrigo@suse.de
- Updated to latest upstream version, which fixes #146434,
  [#148739], #119784. as well as others.
- Removed upstreamed patches.
* Mon Feb 20 2006 jpr@suse.de
- Don't abort if XFree86-VidModeExtension is not available (#152147)
* Mon Feb 13 2006 rodrigo@suse.de
- Removed extra g_free already present upstream (#148379).
* Mon Feb 13 2006 rodrigo@suse.de
- Use correct types for string formatting. Fixes #148379.
* Mon Feb  6 2006 rodrigo@suse.de
- Use correct UTF-8 strings. Fixes #146434.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 rodrigo@suse.de
- Updated to 0.0.25.
- Updated missing-icon patch to upstream changes.
- Some spec file fixes.
* Thu Nov 17 2005 rodrigo@suse.de
- Update to 0.0.20 release.
* Wed Nov 16 2005 rodrigo@suse.de
- Added gnome-screensaver-missing-icon.patch.
* Tue Nov 15 2005 rodrigo@suse.de
- Update to 0.0.19 release.
- Update PAM patch.
* Thu Oct 20 2005 rodrigo@suse.de
- Enable user switching by default.
* Tue Oct 18 2005 rodrigo@suse.de
- Update to version 0.0.16.
- Removed patch fixed upstream.
- Added rename of 'no' locale to 'nb_NO'.
* Tue Oct  4 2005 rodrigo@suse.de
- Require xscreensaver, so that default installation has more than
  just 2/3 screensavers.
* Thu Sep 15 2005 clahey@suse.de
- Update categories for desktop file.
- Part of fix for #115299.
* Tue Sep 13 2005 rodrigo@suse.de
- Update to version 0.0.13, which contains the two patches
  recently added (for #116331 and #114729) plus speed up when
  loading xscreensaver hacks.
* Mon Sep 12 2005 sbrabec@suse.cz
- Fixed xscreensaver hack directory (#116331).
* Mon Sep 12 2005 rodrigo@suse.de
- Updated kdm patch to fix all cases for #114729.
* Mon Sep 12 2005 rodrigo@suse.de
- Added xscreensaver to nfb so that we get the /etc/xscreensaver
  directory (#116331)
* Mon Sep 12 2005 rodrigo@suse.de
- Added gnome-screensaver-kdm.patch (#114729)
* Wed Sep  7 2005 sbrabec@suse.cz
- Updated to version 0.0.12.
* Mon Sep  5 2005 rodrigo@suse.de
- Update to version 0.0.11
* Wed Aug 31 2005 rodrigo@suse.de
- Update to version 0.0.10
- Removed upstreamead patch (#113355)
- Added flags to get the /etc/xscreensaver dir.
* Fri Aug 26 2005 rodrigo@suse.de
- Added gnome-screensaver-xscreensaver patch (#113355)
- Removed description patch, since it makes the dialog very ugly
  when displaying the huge list of xscreensaver hacks.
- Moved missing icon part of description patch to its own file.
* Thu Aug 25 2005 rodrigo@suse.de
- Removed pam for nfb.
* Thu Aug 25 2005 rodrigo@suse.de
- Updated to upstream 0.0.9.
- Add my patches in a separate file.
* Mon Aug 15 2005 rodrigo@suse.de
- Updated to CVS's 0.0.9 with all my uncommitted patches.
- Removed upstreamed patch.
* Fri Aug  5 2005 rodrigo@suse.de
- Don't depend on xscreensaver.
- Display icon for configuration to the control center (bug #102357)
* Wed Aug  3 2005 gekker@suse.de
- Update to version 0.0.8
* Tue Aug  2 2005 sbrabec@suse.cz
- Use hacks in its own directory.
* Tue Jul 26 2005 sbrabec@suse.cz
- Patch to share screensaver modules with xscreensaver.
* Tue Jul 19 2005 sbrabec@suse.cz
- Added --with-passwd-helper=/sbin/unix2_chkpwd (#96125).
* Mon Jul 11 2005 sbrabec@suse.cz
- Updated to version 0.0.7.
- Fixed PAM support (patch from Rodrigo Moya).
* Fri Jul  1 2005 sbrabec@suse.cz
- New SuSE package, version 0.0.5.
